/* -*- c -*- */

#ifndef __REUSE_INTEGRAL_H__
#define __REUSE_INTEGRAL_H__

/* shorthands */
typedef signed char    rschar_t;
typedef unsigned char  ruchar_t;
typedef unsigned short rushort_t;
typedef unsigned int   ruint_t;
typedef unsigned long  rulong_t;

/* #undef R_HAS___INT64 */
#define R_HAS_LONGLONG 1
typedef long long rllong_t;
typedef unsigned long long rullong_t;

typedef signed char rint8_t;
typedef unsigned char ruint8_t;
typedef signed short rint16_t;
typedef unsigned short ruint16_t;
typedef signed int rint32_t;
typedef unsigned int ruint32_t;

#define R_HAS_INT64 1
typedef signed long long rint64_t;
typedef unsigned long long ruint64_t;

#define R_LONG_LONG_MAX (9223372036854775807ll)
#define R_LONG_LONG_MIN (-9223372036854775807ll-1ll)
#define R_ULONG_LONG_MAX (18446744073709551615ull)

/* #undef R_LONG_DOUBLE_IS_DOUBLE */

#define R_I64(x) x##ll
#define R_U64(x) x##ull
#define R_F64 "ll"

#define CONF_CANONIC_STR "i586-alt-linux-gnu"
#define CONF_RUNTIME_STR "i586-alt-linux-gnu"

#define CONF_UNIX_FILENAMING 1
#define CONF_EXE_SUFFIX ""
#define CONF_DIRSEP "/"
#define CONF_PATHSEP ":"

#endif /* __REUSE_INTEGRAL_H__ */
